package com.ssm.manage.entity;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 还款促销账户变动明细(RepayPromotionMx)实体类
 *
 * @author makejava
 * @since 2022-06-30 09:26:54
 */
@Table(name = "repay_promotion_mx")
public class RepayPromotionMx implements Serializable {
    private static final long serialVersionUID = 545281237772853284L;
    /**
     * id
     */
    @Id
    private Long id;
    /**
     * 还款单据ID
     */
    @Column(name = "repay_trade_id")
    private Long repayTradeId;
    /**
     * 账户ID
     */
    @Column(name = "account_id")
    private Long accountId;
    /**
     * 取消前单价
     */
    @Column(name = "before_price")
    private BigDecimal beforePrice;
    /**
     * 取消前剩余金额
     */
    @Column(name = "before_rest_money")
    private BigDecimal beforeRestMoney;
    /**
     * 取消前可用金额
     */
    @Column(name = "before_consume_money")
    private BigDecimal beforeConsumeMoney;
    /**
     * 取消前剩余次数
     */
    @Column(name = "before_rest_count")
    private Integer beforeRestCount;
    /**
     * 取消前可用次数
     */
    @Column(name = "before_consume_count")
    private Integer beforeConsumeCount;
    /**
     * 取消后单价
     */
    @Column(name = "back_price")
    private BigDecimal backPrice;
    /**
     * 取消后剩余金额
     */
    @Column(name = "back_rest_money")
    private BigDecimal backRestMoney;
    /**
     * 取消后可用金额
     */
    @Column(name = "back_consume_money")
    private BigDecimal backConsumeMoney;
    /**
     * 取消后剩余次数
     */
    @Column(name = "back_rest_count")
    private Integer backRestCount;
    /**
     * 取消后可用次数
     */
    @Column(name = "back_consume_count")
    private Integer backConsumeCount;
    /**
     * 取消前剩余赠送金额
     */
    @Column(name = "before_gift_rest_money")
    private BigDecimal beforeGiftRestMoney;
    /**
     * 取消前可用赠送金额
     */
    @Column(name = "before_gift_consume_money")
    private BigDecimal beforeGiftConsumeMoney;
    /**
     * 取消后剩余赠送金额
     */
    @Column(name = "back_gift_rest_money")
    private BigDecimal backGiftRestMoney;
    /**
     * 取消后可用赠送金额
     */
    @Column(name = "back_gift_consume_money")
    private BigDecimal backGiftConsumeMoney;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRepayTradeId() {
        return repayTradeId;
    }

    public void setRepayTradeId(Long repayTradeId) {
        this.repayTradeId = repayTradeId;
    }

    public Long getAccountId() {
        return accountId;
    }

    public void setAccountId(Long accountId) {
        this.accountId = accountId;
    }

    public BigDecimal getBeforePrice() {
        return beforePrice;
    }

    public void setBeforePrice(BigDecimal beforePrice) {
        this.beforePrice = beforePrice;
    }

    public BigDecimal getBeforeRestMoney() {
        return beforeRestMoney;
    }

    public void setBeforeRestMoney(BigDecimal beforeRestMoney) {
        this.beforeRestMoney = beforeRestMoney;
    }

    public BigDecimal getBeforeConsumeMoney() {
        return beforeConsumeMoney;
    }

    public void setBeforeConsumeMoney(BigDecimal beforeConsumeMoney) {
        this.beforeConsumeMoney = beforeConsumeMoney;
    }

    public Integer getBeforeRestCount() {
        return beforeRestCount;
    }

    public void setBeforeRestCount(Integer beforeRestCount) {
        this.beforeRestCount = beforeRestCount;
    }

    public Integer getBeforeConsumeCount() {
        return beforeConsumeCount;
    }

    public void setBeforeConsumeCount(Integer beforeConsumeCount) {
        this.beforeConsumeCount = beforeConsumeCount;
    }

    public BigDecimal getBackPrice() {
        return backPrice;
    }

    public void setBackPrice(BigDecimal backPrice) {
        this.backPrice = backPrice;
    }

    public BigDecimal getBackRestMoney() {
        return backRestMoney;
    }

    public void setBackRestMoney(BigDecimal backRestMoney) {
        this.backRestMoney = backRestMoney;
    }

    public BigDecimal getBackConsumeMoney() {
        return backConsumeMoney;
    }

    public void setBackConsumeMoney(BigDecimal backConsumeMoney) {
        this.backConsumeMoney = backConsumeMoney;
    }

    public Integer getBackRestCount() {
        return backRestCount;
    }

    public void setBackRestCount(Integer backRestCount) {
        this.backRestCount = backRestCount;
    }

    public Integer getBackConsumeCount() {
        return backConsumeCount;
    }

    public void setBackConsumeCount(Integer backConsumeCount) {
        this.backConsumeCount = backConsumeCount;
    }

    public BigDecimal getBeforeGiftRestMoney() {
        return beforeGiftRestMoney;
    }

    public void setBeforeGiftRestMoney(BigDecimal beforeGiftRestMoney) {
        this.beforeGiftRestMoney = beforeGiftRestMoney;
    }

    public BigDecimal getBeforeGiftConsumeMoney() {
        return beforeGiftConsumeMoney;
    }

    public void setBeforeGiftConsumeMoney(BigDecimal beforeGiftConsumeMoney) {
        this.beforeGiftConsumeMoney = beforeGiftConsumeMoney;
    }

    public BigDecimal getBackGiftRestMoney() {
        return backGiftRestMoney;
    }

    public void setBackGiftRestMoney(BigDecimal backGiftRestMoney) {
        this.backGiftRestMoney = backGiftRestMoney;
    }

    public BigDecimal getBackGiftConsumeMoney() {
        return backGiftConsumeMoney;
    }

    public void setBackGiftConsumeMoney(BigDecimal backGiftConsumeMoney) {
        this.backGiftConsumeMoney = backGiftConsumeMoney;
    }

}

